# std::error_code::assign

From cppreference.com
< cpp‎ | error‎ | error code

void assign( int ec, const error_category& ecat ); |  | (since C++11)

Replaces the contents with error code `ec` and corresponding category `ecat`.

### Parameters

ec | - | platform-dependent error code enum to assign
ecat | - | error category corresponding to `ec`

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### See also

operator= | assigns another error code (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/assign&oldid=91536"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template